For AI agents and LLMs: a structured documentation index is available at /llms.txt. Every page has a Markdown sibling — append .md to any URL.

Skip to content
Docs

List history for a subscription

Returns a paginated list of history entries for a subscription.

GET /subscriptions/{subscription_id}/history

Returns a paginated list of history entries for a subscription. Use the query parameters to filter and page through results.

Subscription history records the changes made to a subscription over its lifetime, so you can see what changed, when it happened, where it originated, and who made the change. Each change is a separate history entry, and some entries also include a reason.

Paddle began recording subscription history on June 29, 2026. For subscriptions that existed before then, Paddle automatically creates subscription_created and subscription_canceled entries and attempts to infer details from the subscription's initial state.

History entries are ordered by newest first by default (occurred_at in descending order).

Path parameters

subscription_idstringrequired
Example: sub_01h04vsc0qhwtsbsxh3422wjs4
Unique Paddle ID for this subscription entity, prefixed with sub_.
Pattern: ^sub_[a-z\d]{26}$

Query parameters

actionarray
Return history entries that match the specified action. Use a comma-separated list to specify multiple action values.
Values
  • subscription_activated
    Return history entries where the action is subscription_activated. The subscription's status became active.
  • subscription_address_updated
    Return history entries where the action is subscription_address_updated. The address on the subscription was changed.
  • subscription_billing_cycle_updated
    Return history entries where the action is subscription_billing_cycle_updated. The billing cycle that sets how often the subscription renews was changed.
  • subscription_billing_date_updated
    Return history entries where the action is subscription_billing_date_updated. The date the subscription next renews was changed.
  • subscription_billing_details_updated
    Return history entries where the action is subscription_billing_details_updated. The billing details for the subscription's invoices were changed.
+ Show all values
  • subscription_business_added
    Return history entries where the action is subscription_business_added. A business was added to the subscription.
  • subscription_business_removed
    Return history entries where the action is subscription_business_removed. The business was removed from the subscription.
  • subscription_business_updated
    Return history entries where the action is subscription_business_updated. The business on the subscription was changed.
  • subscription_canceled
    Return history entries where the action is subscription_canceled. The subscription's status became canceled.
  • subscription_collection_mode_updated
    Return history entries where the action is subscription_collection_mode_updated. How the subscription is collected, automatically or manually, was changed.
  • subscription_consent_requirement_granted
    Return history entries where the action is subscription_consent_requirement_granted. A consent requirement on the subscription was granted.
  • subscription_created
    Return history entries where the action is subscription_created. The subscription was created.
  • subscription_currency_updated
    Return history entries where the action is subscription_currency_updated. The currency the subscription is billed in was changed.
  • subscription_custom_data_updated
    Return history entries where the action is subscription_custom_data_updated. The custom data on the subscription was changed.
  • subscription_customer_updated
    Return history entries where the action is subscription_customer_updated. The customer the subscription belongs to was changed.
  • subscription_discount_added
    Return history entries where the action is subscription_discount_added. A discount was added to the subscription.
  • subscription_discount_expired
    Return history entries where the action is subscription_discount_expired. A discount on the subscription reached its end date and expired.
  • subscription_discount_removed
    Return history entries where the action is subscription_discount_removed. A discount was removed from the subscription.
  • subscription_item_added
    Return history entries where the action is subscription_item_added. An item was added to the subscription.
  • subscription_item_quantity_updated
    Return history entries where the action is subscription_item_quantity_updated. The quantity of an item on the subscription was changed.
  • subscription_item_removed
    Return history entries where the action is subscription_item_removed. An item was removed from the subscription.
  • subscription_one_off_charge_applied
    Return history entries where the action is subscription_one_off_charge_applied. A one-time charge was applied to the subscription.
  • subscription_past_due
    Return history entries where the action is subscription_past_due. The subscription's status became past_due after a payment failed.
  • subscription_paused
    Return history entries where the action is subscription_paused. The subscription's status became paused.
  • subscription_payment_attempted
    Return history entries where the action is subscription_payment_attempted. A payment for a change to the subscription was attempted and failed.
  • subscription_payment_method_added
    Return history entries where the action is subscription_payment_method_added. A payment method was added to the subscription.
  • subscription_payment_method_removed
    Return history entries where the action is subscription_payment_method_removed. A payment method was removed from the subscription.
  • subscription_payment_method_updated
    Return history entries where the action is subscription_payment_method_updated. The payment method on the subscription was changed.
  • subscription_renewed
    Return history entries where the action is subscription_renewed. The subscription renewed for a new billing period.
  • subscription_resumed
    Return history entries where the action is subscription_resumed. The subscription's status became active after being paused.
  • subscription_scheduled_change_added
    Return history entries where the action is subscription_scheduled_change_added. A scheduled change was added to the subscription.
  • subscription_scheduled_change_removed
    Return history entries where the action is subscription_scheduled_change_removed. A scheduled change was removed from the subscription.
  • subscription_scheduled_change_updated
    Return history entries where the action is subscription_scheduled_change_updated. A scheduled change on the subscription was changed.
sourcearray
Return history entries that match the specified source. Use a comma-separated list to specify multiple source values.
Values
  • system
    Return history entries where the source is system. The entry originated from an internal system process.
  • api
    Return history entries where the source is api. The entry originated from the Paddle API.
  • dashboard
    Return history entries where the source is dashboard. The entry originated from the dashboard.
  • customer_portal
    Return history entries where the source is customer_portal. The entry originated from the customer portal.
  • support_bot
    Return history entries where the source is support_bot. The entry originated from Paddle.net.
+ Show all values
  • retain
    Return history entries where the source is retain. The entry originated from Paddle Retain.
  • checkout
    Return history entries where the source is checkout. The entry originated from Paddle Checkout.
  • external_provider
    Return history entries where the source is external_provider. The entry originated from an import from an external provider.
  • paddle_classic
    Return history entries where the source is paddle_classic. The entry originated from an import from Paddle Classic.
  • unknown
    Return history entries where the source is unknown. The entry happened before history recording began and its source couldn't be determined.
actor_typearray
Return history entries that match the specified actor type. Use a comma-separated list to specify multiple actor type values.
Values
  • customer
    Return history entries where the actor type is customer. The action was performed by a customer.
  • user
    Return history entries where the actor type is user. The action was performed by a Paddle user account.
  • api_key
    Return history entries where the actor type is api_key. The action was performed by an API key.
  • paddle_staff
    Return history entries where the actor type is paddle_staff. The action was performed by a member of the Paddle team.
  • publisher
    Return history entries where the actor type is publisher. The action was performed by a publisher (app) acting on behalf of a user or seller.
+ Show all values
  • system
    Return history entries where the actor type is system. The action was performed by an internal system process.
actor_idarray
Return history entries that match the specified actor ID. Use a comma-separated list to specify multiple actor ID values. Only applicable if actor_type is also selected.
reasonarray
Return history entries that match the specified reason. Use a comma-separated list to specify multiple reason values.
Values
  • cardless_trial_ended
    Return history entries where the reason is cardless_trial_ended.
  • import_issue
    Return history entries where the reason is import_issue.
  • missing_consent
    Return history entries where the reason is missing_consent.
  • seller_request
    Return history entries where the reason is seller_request.
  • customer_request
    Return history entries where the reason is customer_request.
+ Show all values
  • chargeback
    Return history entries where the reason is chargeback.
occurred_atstring
Return entities that occurred at a specific time. Use [LTE] (less than or equal to) or [GTE] (greater than or equal to) operators with an RFC 3339 datetime string. For example, occurred_at[LTE]=2023-04-18T17:03:26 or occurred_at[GTE]=2023-04-18T17:03:26.
afterstring
Return entities after the specified Paddle ID when working with paginated endpoints. Used in the meta.pagination.next URL in responses for list operations.
per_pageinteger
Default: 50

Set how many entities are returned per page. Paddle returns the maximum number of results if a number greater than the maximum is requested. Check meta.pagination.per_page in the response to see how many were returned.

Default: 50; Maximum: 200.

Max: 200
order_bystring
Default: occurred_at[DESC]

Order returned entities by the specified field and direction ([ASC] or [DESC]). For example, ?order_by=occurred_at[DESC].

Valid fields for ordering: occurred_at.

Header parameters

Skip-Countstring
Set to true to skip the count query on list operations. When set, meta.pagination.estimated_total returns -1 instead of an exact count.

Response (200)

dataarrayrequired
idstringrequired
Example: subhis_01kagxfkdpvsdvnm7xw4avwvsp
Unique Paddle ID for this subscription history entry, prefixed with subhis_.
Pattern: ^subhis_[a-z\d]{26}$
group_idstringrequired
Example: subhisgrp_01kagxffkcme9fhd6srqgkmssd
Unique Paddle ID for this subscription history group, prefixed with subhisgrp_. History entries that occurred as part of the same request share the same group ID.
Pattern: ^subhisgrp_[a-z\d]{26}$
subscription_idstringrequired
Example: sub_01h04vsc0qhwtsbsxh3422wjs4
Paddle ID of the subscription that this history entry relates to, prefixed with sub_.
Pattern: ^sub_[a-z\d]{26}$
occurred_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when the entry happened.
sourcestringrequired
Where the entry originated from.
Values
  • system
    Entry originated from an internal system process.
  • api
    Entry originated from the Paddle API.
  • dashboard
    Entry originated from the dashboard.
  • customer_portal
    Entry originated from the customer portal.
  • support_bot
    Entry originated from Paddle.net.
+ Show all values
  • retain
    Entry originated from Paddle Retain.
  • checkout
    Entry originated from Paddle Checkout.
  • external_provider
    Entry originated from an import from an external provider.
  • paddle_classic
    Entry originated from an import from Paddle Classic.
  • unknown
    Entry happened before history recording began. Its source couldn't be determined.
actorobjectrequired
Details about the actor that performed the action that created this entry.
typestringrequired
The type of actor that performed this action.
Values
  • customer
    Action was performed by a customer.
  • user
    Action was performed by a Paddle user account.
  • api_key
    Action was performed by an API key.
  • paddle_staff
    Action was performed by a member of the Paddle team.
  • publisher
    Action was performed by a publisher (app) acting on behalf of a user or seller.
+ Show all values
  • system
    Action was performed by an internal system process.
idstring | nullrequired
The ID of the actor in relation to the type. null where the type of actor doesn't have an ID.
reasonstring | nullrequired
Why the entry was created. Only applicable to certain actions; null otherwise.
Values
  • cardless_trial_ended
    The subscription was a cardless trial and was automatically canceled because no payment method was added. Relates to subscription_canceled actions.
  • import_issue
    The subscription was canceled because of an issue during import. Relates to subscription_canceled actions.
  • missing_consent
    The subscription was automatically canceled because the customer didn't grant a required consent to continue. Relates to subscription_canceled actions.
  • seller_request
    A Paddle user on your account requested that Paddle cancel this subscription. Relates to subscription_canceled actions.
  • customer_request
    The customer requested that Paddle cancel this subscription. Relates to subscription_canceled actions.
+ Show all values
  • chargeback
    The subscription was automatically canceled because of a chargeback on one of its transactions. Relates to subscription_canceled actions.
detailobjectrequired
Details specific to the action. The fields returned depend on the value of action.
Activated
Details specific to subscription_activated actions.
actionstringrequired
What happened on the subscription.
Values
  • subscription_activated
    The subscription's status became active.
statusstringrequired
Status of the subscription after activation.
Values
  • active
    Subscription is active. Paddle is billing for this subscription and related transactions aren't past due.
  • canceled
    Subscription is canceled. Automatically set by Paddle when a subscription is canceled. When a subscription is set to cancel on the next billing period, a scheduled change for the cancellation is created. The subscription status moves to canceled when the scheduled change takes effect.
  • past_due
    Subscription has an overdue payment. Automatically set by Paddle when payment fails for an automatically-collected transaction, or when payment terms have elapsed for a manually-collected transaction (an invoice).
  • paused
    Subscription is paused. Automatically set by Paddle when a subscription is paused. When a subscription is set to pause on the next billing period, a scheduled change for the pause is created. The subscription status moves to paused when the scheduled change takes effect.
  • trialing
    Subscription is in trial.
first_billed_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when the subscription was first billed. null when the subscription has never been billed — for example, an imported subscription recovering from past_due.
next_billed_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when the subscription was next scheduled to be billed at the time of activation. null when the subscription has no next billing date — for example, a recovered past_due subscription that is scheduled to cancel or pause.
current_billing_periodobjectrequired
Billing period of the subscription at the time of activation.
starts_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this period starts.
ends_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this period ends.
transaction_idstringrequired
Example: txn_01h04vsbhqc62t8hmd4z3b578c
Paddle ID of the transaction that activated the subscription, prefixed with txn_.
Pattern: ^txn_[a-z\d]{26}$
Address updated
Details specific to subscription_address_updated actions.
actionstringrequired
What happened on the subscription.
Values
  • subscription_address_updated
    The address on the subscription was changed.
addressobjectrequired
Updated address against the subscription. This is what the address was changed to.
idstringrequired
Example: add_01gm302t81w94gyjpjpqypkzkf
Unique Paddle ID for this address entity, prefixed with add_.
Pattern: ^add_[a-z\d]{26}$
customer_idstringrequired
Example: ctm_01grnn4zta5a1mf02jjze7y2ys
Paddle ID for the customer related to this address, prefixed with cus_.
Pattern: ^ctm_[a-z\d]{26}$
descriptionstring | nullrequired
Example: Paddle.com
Memorable description for this address.
Max length: 1024
first_linestring | nullrequired
Example: 3811 Ditmars Blvd
First line of this address.
Max length: 1024
second_linestring | nullrequired
Second line of this address.
Max length: 1024
citystring | nullrequired
Example: Astoria
City of this address.
Max length: 200
postal_codestring | nullrequired
Example: 11105-1803
ZIP or postal code of this address. Required for some countries.
Max length: 200
regionstring | nullrequired
Example: NY
State, county, or region of this address.
Max length: 200
country_codestringrequired
Supported two-letter ISO 3166-1 alpha-2 country code for this address.
Values
  • AD
    Andorra
  • AE
    United Arab Emirates
  • AG
    Antigua and Barbuda
  • AI
    Anguilla
  • AL
    Albania
+ Show all values
  • AM
    Armenia
  • AO
    Angola
  • AR
    Argentina
  • AS
    American Samoa
  • AT
    Austria
  • AU
    Australia
  • AW
    Aruba
  • AX
    Ã…land Islands
  • AZ
    Azerbaijan
  • BA
    Bosnia and Herzegovina
  • BB
    Barbados
  • BD
    Bangladesh
  • BE
    Belgium
  • BF
    Burkina Faso
  • BG
    Bulgaria
  • BH
    Bahrain
  • BI
    Burundi
  • BJ
    Benin
  • BL
    Saint Barthélemy
  • BM
    Bermuda
  • BN
    Brunei
  • BO
    Bolivia
  • BQ
    Caribbean Netherlands (Bonaire, Sint Eustatius, and Saba)
  • BR
    Brazil
  • BS
    Bahamas
  • BT
    Bhutan
  • BV
    Bouvet Island
  • BW
    Botswana
  • BZ
    Belize
  • CA
    Canada
  • CC
    Cocos Islands
  • CG
    Republic of Congo
  • CH
    Switzerland
  • CI
    Côte d'Ivoire (Ivory Coast)
  • CK
    Cook Islands
  • CL
    Chile
  • CM
    Cameroon
  • CN
    China
  • CO
    Colombia
  • CR
    Costa Rica
  • CV
    Cape Verde
  • CW
    Curaçao
  • CX
    Christmas Island
  • CY
    Cyprus
  • CZ
    Czechia (Czech Republic)
  • DE
    Germany
  • DJ
    Djibouti
  • DK
    Denmark
  • DM
    Dominica
  • DO
    Dominican Republic
  • DZ
    Algeria
  • EC
    Ecuador
  • EE
    Estonia
  • EG
    Egypt
  • EH
    Western Sahara
  • ER
    Eritrea
  • ES
    Spain
  • ET
    Ethiopia
  • FI
    Finland
  • FJ
    Fiji
  • FK
    Falkland Islands
  • FM
    Micronesia
  • FO
    Faroe Islands
  • FR
    France
  • GA
    Gabon
  • GB
    United Kingdom
  • GD
    Grenada
  • GE
    Georgia
  • GF
    French Guiana
  • GG
    Guernsey
  • GH
    Ghana
  • GI
    Gibraltar
  • GL
    Greenland
  • GM
    Gambia
  • GN
    Guinea
  • GP
    Guadeloupe
  • GQ
    Equatorial Guinea
  • GR
    Greece
  • GS
    South Georgia and the South Sandwich Islands
  • GT
    Guatemala
  • GU
    Guam
  • GW
    Guinea-Bissau
  • GY
    Guyana
  • HK
    Hong Kong
  • HM
    Heard Island and McDonald Islands
  • HN
    Honduras
  • HR
    Croatia
  • HU
    Hungary
  • ID
    Indonesia
  • IE
    Ireland
  • IL
    Israel
  • IM
    Isle of Man
  • IN
    India
  • IO
    British Indian Ocean Territory
  • IQ
    Iraq
  • IS
    Iceland
  • IT
    Italy
  • JE
    Jersey
  • JM
    Jamaica
  • JO
    Jordan
  • JP
    Japan
  • KE
    Kenya
  • KG
    Kyrgyzstan
  • KH
    Cambodia
  • KI
    Kiribati
  • KM
    Comoros
  • KN
    Saint Kitts and Nevis
  • KR
    South Korea
  • KW
    Kuwait
  • KY
    Cayman Islands
  • KZ
    Kazakhstan
  • LA
    Lao People's Democratic Republic (Laos)
  • LB
    Lebanon
  • LC
    Saint Lucia
  • LI
    Liechtenstein
  • LK
    Sri Lanka
  • LR
    Liberia
  • LS
    Lesotho
  • LT
    Lithuania
  • LU
    Luxembourg
  • LV
    Latvia
  • MA
    Morocco
  • MC
    Monaco
  • MD
    Moldova
  • ME
    Montenegro
  • MF
    Saint Martin
  • MG
    Madagascar
  • MH
    Marshall Islands
  • MK
    Macedonia
  • MN
    Mongolia
  • MO
    Macao
  • MP
    Northern Mariana Islands
  • MQ
    Martinique
  • MR
    Mauritania
  • MS
    Montserrat
  • MT
    Malta
  • MU
    Mauritius
  • MV
    Maldives
  • MW
    Malawi
  • MX
    Mexico
  • MY
    Malaysia
  • MZ
    Mozambique
  • NA
    Namibia
  • NC
    New Caledonia
  • NE
    Niger
  • NF
    Norfolk Island
  • NG
    Nigeria
  • NL
    Netherlands
  • NO
    Norway
  • NP
    Nepal
  • NR
    Nauru
  • NU
    Niue
  • NZ
    New Zealand
  • OM
    Oman
  • PA
    Panama
  • PE
    Peru
  • PF
    French Polynesia
  • PG
    Papua New Guinea
  • PH
    Philippines
  • PK
    Pakistan
  • PL
    Poland
  • PM
    Saint Pierre and Miquelon
  • PN
    Pitcairn
  • PR
    Puerto Rico
  • PS
    Palestinian territories
  • PT
    Portugal
  • PW
    Palau
  • PY
    Paraguay
  • QA
    Qatar
  • RE
    Reunion
  • RO
    Romania
  • RS
    Republic of Serbia
  • RW
    Rwanda
  • SA
    Saudi Arabia
  • SB
    Solomon Islands
  • SC
    Seychelles
  • SE
    Sweden
  • SG
    Singapore
  • SH
    Saint Helena
  • SI
    Slovenia
  • SJ
    Svalbard and Jan Mayen
  • SK
    Slovakia
  • SL
    Sierra Leone
  • SM
    San Marino
  • SN
    Senegal
  • SR
    Suriname
  • ST
    São Tomé and Príncipe
  • SV
    El Salvador
  • SX
    Sint Maarten
  • SZ
    Swaziland
  • TC
    Turks and Caicos Islands
  • TD
    Chad
  • TF
    French Southern and Antarctic Lands
  • TG
    Togo
  • TH
    Thailand
  • TJ
    Tajikistan
  • TK
    Tokelau
  • TL
    Timor-Leste
  • TM
    Turkmenistan
  • TN
    Tunisia
  • TO
    Tonga
  • TR
    Turkey
  • TT
    Trinidad and Tobago
  • TV
    Tuvalu
  • TW
    Taiwan
  • TZ
    Tanzania
  • UA
    Ukraine
  • UG
    Uganda
  • UM
    United States Minor Outlying Islands
  • US
    United States
  • UY
    Uruguay
  • UZ
    Uzbekistan
  • VA
    Holy See (Vatican City)
  • VC
    Saint Vincent and the Grenadines
  • VG
    British Virgin Islands
  • VI
    U.S. Virgin Islands
  • VN
    Vietnam
  • VU
    Vanuatu
  • WF
    Wallis and Futuna
  • WS
    Samoa
  • XK
    Kosovo
  • YT
    Mayotte
  • ZA
    South Africa
  • ZM
    Zambia
custom_dataobject | nullrequired
Example: {"customer_reference_id":"abcd1234"}
Your own structured key-value data.
statusstringrequired
Default: active
Whether this entity can be used in Paddle.
Values
  • active
    Entity is active and can be used.
  • archived
    Entity is archived, so can't be used.
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
import_metaobject | nullrequired
Import information for this entity. null if this entity is not imported.
external_idstring | null
Example: 9b95b0b8-e10f-441a-862e-1936a6d818ab
Reference or identifier for this entity from the provider where it was imported from.
Length: 1–200
imported_fromstringrequired
Example: paddle_classic
Name of the platform or provider where this entity was imported from.
Length: 1–200
Billing cycle updated
Details specific to subscription_billing_cycle_updated actions.
actionstringrequired
What happened on the subscription.
Values
  • subscription_billing_cycle_updated
    The billing cycle that sets how often the subscription renews was changed.
billing_cycleobjectrequired
Updated billing cycle of the subscription. This is what the billing cycle was changed to.
intervalstringrequired
Unit of time.
Values
  • day
  • week
  • month
  • year
frequencyintegerrequired
Amount of time.
Min: 1
current_billing_periodobjectrequired
Billing period of the subscription after the billing cycle was updated.
starts_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this period starts.
ends_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this period ends.
next_billed_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when the subscription was next scheduled to be billed after the billing cycle was updated. null if the subscription has no next billing date (for example, paused without a scheduled resume).
Billing date updated
Details specific to subscription_billing_date_updated actions.
actionstringrequired
What happened on the subscription.
Values
  • subscription_billing_date_updated
    The date the subscription next renews was changed.
next_billed_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of the updated billing date. null when the subscription has no upcoming billing date, for example when a scheduled pause or cancellation means it will not be billed again.
current_billing_periodobjectrequired
Billing period of the subscription after the billing date was updated.
starts_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this period starts.
ends_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this period ends.
transaction_idstring | nullrequired
Example: txn_01h04vsbhqc62t8hmd4z3b578c
Paddle ID of the transaction created as a result of the billing date change, prefixed with txn_. null if no transaction was created.
Pattern: ^txn_[a-z\d]{26}$
proration_billing_modestringrequired
How proration was calculated for this billing date change.
Values
  • prorated_immediately
    Paddle calculates the prorated amount for the subscription changes based on the current billing cycle, then creates a transaction to collect immediately.
  • prorated_next_billing_period
    Paddle calculates the prorated amount for the subscription changes based on the current billing cycle, then schedules them to be billed on the next renewal.
  • full_immediately
    Paddle does not calculate proration for the subscription changes, creating a transaction to collect for the full amount immediately.
  • full_next_billing_period
    Paddle does not calculate proration for the subscription changes, scheduling for the full amount for the changes to be billed on the next renewal.
  • do_not_bill
    Paddle does not bill for the subscription changes.
Billing details updated
Details specific to subscription_billing_details_updated actions.
actionstringrequired
What happened on the subscription.
Values
  • subscription_billing_details_updated
    The billing details for the subscription's invoices were changed.
billing_detailsobjectrequired
Updated billing details on the subscription. This is what the billing details were changed to.
enable_checkoutbooleanrequired
Default: false
Whether the related transaction may be paid using Paddle Checkout. If omitted when creating a transaction, defaults to false.
purchase_order_numberstringrequired
Customer purchase order number. Appears on invoice documents.
Max length: 100
additional_informationstring | nullrequired
Notes or other information to include on this invoice. Appears on invoice documents.
Max length: 1500
payment_termsobjectrequired
How long a customer has to pay this invoice once issued.
intervalstringrequired
Unit of time.
Values
  • day
  • week
  • month
  • year
frequencyintegerrequired
Amount of time.
Min: 1
Business added
Details specific to subscription_business_added actions.
actionstringrequired
What happened on the subscription.
Values
  • subscription_business_added
    A business was added to the subscription.
businessobjectrequired
New business on the subscription.
idstringrequired
Example: biz_01grrebrzaee2qj2fqqhmcyzaj
Unique Paddle ID for this business entity, prefixed with biz_.
Pattern: ^biz_[a-z\d]{26}$
customer_idstringrequired
Example: ctm_01grnn4zta5a1mf02jjze7y2ys
Paddle ID for the customer related to this business, prefixed with cus_.
Pattern: ^ctm_[a-z\d]{26}$
namestringrequired
Name of this business.
Length: 1–1024
company_numberstring | nullrequired
Example: 123456789
Company number for this business.
Max length: 1024
tax_identifierstring | nullrequired
Example: AB0123456789
Tax or VAT Number for this business.
Max length: 1024
statusstringrequired
Default: active
Whether this entity can be used in Paddle.
Values
  • active
    Entity is active and can be used.
  • archived
    Entity is archived, so can't be used.
contactsarrayrequired
List of contacts related to this business, typically used for sending invoices.
Items: max 100, unique
namestringrequired
Full name of this contact.
Max length: 1024
emailstring (email)required
Example: test@paddle.com
Email address for this contact.
Length: 1–320
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
custom_dataobject | nullrequired
Example: {"customer_reference_id":"abcd1234"}
Your own structured key-value data.
import_metaobject | nullrequired
Import information for this entity. null if this entity is not imported.
external_idstring | null
Example: 9b95b0b8-e10f-441a-862e-1936a6d818ab
Reference or identifier for this entity from the provider where it was imported from.
Length: 1–200
imported_fromstringrequired
Example: paddle_classic
Name of the platform or provider where this entity was imported from.
Length: 1–200
Business removed
Details specific to subscription_business_removed actions.
actionstringrequired
What happened on the subscription.
Values
  • subscription_business_removed
    The business was removed from the subscription.
businessobjectrequired
Business that was removed from the subscription.
idstringrequired
Example: biz_01grrebrzaee2qj2fqqhmcyzaj
Unique Paddle ID for this business entity, prefixed with biz_.
Pattern: ^biz_[a-z\d]{26}$
customer_idstringrequired
Example: ctm_01grnn4zta5a1mf02jjze7y2ys
Paddle ID for the customer related to this business, prefixed with cus_.
Pattern: ^ctm_[a-z\d]{26}$
namestringrequired
Name of this business.
Length: 1–1024
company_numberstring | nullrequired
Example: 123456789
Company number for this business.
Max length: 1024
tax_identifierstring | nullrequired
Example: AB0123456789
Tax or VAT Number for this business.
Max length: 1024
statusstringrequired
Default: active
Whether this entity can be used in Paddle.
Values
  • active
    Entity is active and can be used.
  • archived
    Entity is archived, so can't be used.
contactsarrayrequired
List of contacts related to this business, typically used for sending invoices.
Items: max 100, unique
namestringrequired
Full name of this contact.
Max length: 1024
emailstring (email)required
Example: test@paddle.com
Email address for this contact.
Length: 1–320
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
custom_dataobject | nullrequired
Example: {"customer_reference_id":"abcd1234"}
Your own structured key-value data.
import_metaobject | nullrequired
Import information for this entity. null if this entity is not imported.
external_idstring | null
Example: 9b95b0b8-e10f-441a-862e-1936a6d818ab
Reference or identifier for this entity from the provider where it was imported from.
Length: 1–200
imported_fromstringrequired
Example: paddle_classic
Name of the platform or provider where this entity was imported from.
Length: 1–200
Business updated
Details specific to subscription_business_updated actions.
actionstringrequired
What happened on the subscription.
Values
  • subscription_business_updated
    The business on the subscription was changed.
businessobjectrequired
Updated business on the subscription. This is what the business was changed to.
idstringrequired
Example: biz_01grrebrzaee2qj2fqqhmcyzaj
Unique Paddle ID for this business entity, prefixed with biz_.
Pattern: ^biz_[a-z\d]{26}$
customer_idstringrequired
Example: ctm_01grnn4zta5a1mf02jjze7y2ys
Paddle ID for the customer related to this business, prefixed with cus_.
Pattern: ^ctm_[a-z\d]{26}$
namestringrequired
Name of this business.
Length: 1–1024
company_numberstring | nullrequired
Example: 123456789
Company number for this business.
Max length: 1024
tax_identifierstring | nullrequired
Example: AB0123456789
Tax or VAT Number for this business.
Max length: 1024
statusstringrequired
Default: active
Whether this entity can be used in Paddle.
Values
  • active
    Entity is active and can be used.
  • archived
    Entity is archived, so can't be used.
contactsarrayrequired
List of contacts related to this business, typically used for sending invoices.
Items: max 100, unique
namestringrequired
Full name of this contact.
Max length: 1024
emailstring (email)required
Example: test@paddle.com
Email address for this contact.
Length: 1–320
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
custom_dataobject | nullrequired
Example: {"customer_reference_id":"abcd1234"}
Your own structured key-value data.
import_metaobject | nullrequired
Import information for this entity. null if this entity is not imported.
external_idstring | null
Example: 9b95b0b8-e10f-441a-862e-1936a6d818ab
Reference or identifier for this entity from the provider where it was imported from.
Length: 1–200
imported_fromstringrequired
Example: paddle_classic
Name of the platform or provider where this entity was imported from.
Length: 1–200
Canceled
Details specific to subscription_canceled actions.
actionstringrequired
What happened on the subscription.
Values
  • subscription_canceled
    The subscription's status became canceled.
effective_fromstring | nullrequired
Whether the subscription was canceled immediately, or scheduled to cancel.
Values
  • immediately
    The subscription was canceled immediately.
  • next_billing_period
    The subscription was scheduled to cancel at the next billing period.
Collection mode updated
Details specific to subscription_collection_mode_updated actions.
actionstringrequired
What happened on the subscription.
Values
  • subscription_collection_mode_updated
    How the subscription is collected, automatically or manually, was changed.
collection_modestringrequired
How payment is collected for this subscription. This is what the collection mode was changed to.
Values
  • automatic
    Payment is collected automatically using a checkout initially, then using a payment method on file.
  • manual
    Payment is collected manually. Customers are sent an invoice with payment terms and can make a payment offline or using a checkout. Requires billing_details.
Consent requirement granted
Details specific to subscription_consent_requirement_granted actions.
actionstringrequired
What happened on the subscription.
Values
  • subscription_consent_requirement_granted
    A consent requirement on the subscription was granted.
consent_requirementobjectrequired
Details about the consent requirement that was granted.
idstringrequired
Example: subconreq_01gm302t81w94gyjpjpqypkzkf
Unique Paddle ID for this subscription consent requirement entity, prefixed with subconreq_.
Pattern: ^subconreq_[a-z\d]{26}$
requirementstringrequired
Type of consent required for successful renewal.
Values
  • trial_ending
    Consent required because the trial period is ending.
  • introductory_discount_ending
    Consent required because an initial discount is ending.
statusstringrequired
Status of this consent requirement.
Values
  • pending
    Consent not yet granted. Subscription is canceled on next renewal.
  • granted
    Consent granted. Subscription renews normally.
  • voided
    Consent voided. Consent requirement is no longer applicable, either because the consent is no longer required, or another consent requirement has replaced it.
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
consent_periodobject | nullrequired
Period during which consent for this subscription can be granted. null if there is no next_billed_at or the consent requirement does not apply to the current billing period.
starts_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this period starts.
ends_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this period ends.
granted_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when the customer granted their consent. null if not yet granted.
voided_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when consent was voided or no longer required. null if not voided.
Created
Details specific to subscription_created actions.
actionstringrequired
What happened on the subscription.
Values
  • subscription_created
    The subscription was created.
statusstring | nullrequired
Status of the subscription when it was created. null if created before history recording began and this couldn't be determined.
Values
  • active
    Subscription is active. Paddle is billing for this subscription and related transactions aren't past due.
  • canceled
    Subscription is canceled. Automatically set by Paddle when a subscription is canceled. When a subscription is set to cancel on the next billing period, a scheduled change for the cancellation is created. The subscription status moves to canceled when the scheduled change takes effect.
  • past_due
    Subscription has an overdue payment. Automatically set by Paddle when payment fails for an automatically-collected transaction, or when payment terms have elapsed for a manually-collected transaction (an invoice).
  • paused
    Subscription is paused. Automatically set by Paddle when a subscription is paused. When a subscription is set to pause on the next billing period, a scheduled change for the pause is created. The subscription status moves to paused when the scheduled change takes effect.
  • trialing
    Subscription is in trial.
collection_modestring | nullrequired
The collection mode of the subscription when it was created.
Values
  • automatic
    Payment is collected automatically using a checkout initially, then using a payment method on file.
  • manual
    Payment is collected manually. Customers are sent an invoice with payment terms and can make a payment offline or using a checkout. Requires billing_details.
billing_detailsobject | nullrequired
Details for invoicing. Only returned for manually-collected subscriptions (collection_mode: manual).
enable_checkoutbooleanrequired
Default: false
Whether the related transaction may be paid using Paddle Checkout. If omitted when creating a transaction, defaults to false.
purchase_order_numberstringrequired
Customer purchase order number. Appears on invoice documents.
Max length: 100
additional_informationstring | nullrequired
Notes or other information to include on this invoice. Appears on invoice documents.
Max length: 1500
payment_termsobjectrequired
How long a customer has to pay this invoice once issued.
intervalstringrequired
Unit of time.
Values
  • day
  • week
  • month
  • year
frequencyintegerrequired
Amount of time.
Min: 1
customerobject | nullrequired
Customer for the subscription when it was created.
idstringrequired
Example: ctm_01grnn4zta5a1mf02jjze7y2ys
Unique Paddle ID for this customer entity, prefixed with ctm_.
Pattern: ^ctm_[a-z\d]{26}$
namestring | nullrequired
Full name of this customer. Required when creating transactions where collection_mode is manual (invoices).
Max length: 1024
emailstring (email)required
Example: test@paddle.com
Email address for this customer.
Length: 1–320
marketing_consentbooleanrequired
Default: false
Whether this customer opted into marketing from you. false unless customers check the marketing consent box when using Paddle Checkout. Set automatically by Paddle.
statusstringrequired
Default: active
Whether this entity can be used in Paddle.
Values
  • active
    Entity is active and can be used.
  • archived
    Entity is archived, so can't be used.
custom_dataobject | nullrequired
Example: {"customer_reference_id":"abcd1234"}
Your own structured key-value data.
localestringrequired
Default: en
Valid IETF BCP 47 short form locale tag. If omitted, defaults to en.
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
import_metaobject | nullrequired
Import information for this entity. null if this entity is not imported.
external_idstring | null
Example: 9b95b0b8-e10f-441a-862e-1936a6d818ab
Reference or identifier for this entity from the provider where it was imported from.
Length: 1–200
imported_fromstringrequired
Example: paddle_classic
Name of the platform or provider where this entity was imported from.
Length: 1–200
addressobject | nullrequired
Address for the subscription when it was created.
idstringrequired
Example: add_01gm302t81w94gyjpjpqypkzkf
Unique Paddle ID for this address entity, prefixed with add_.
Pattern: ^add_[a-z\d]{26}$
customer_idstringrequired
Example: ctm_01grnn4zta5a1mf02jjze7y2ys
Paddle ID for the customer related to this address, prefixed with cus_.
Pattern: ^ctm_[a-z\d]{26}$
descriptionstring | nullrequired
Example: Paddle.com
Memorable description for this address.
Max length: 1024
first_linestring | nullrequired
Example: 3811 Ditmars Blvd
First line of this address.
Max length: 1024
second_linestring | nullrequired
Second line of this address.
Max length: 1024
citystring | nullrequired
Example: Astoria
City of this address.
Max length: 200
postal_codestring | nullrequired
Example: 11105-1803
ZIP or postal code of this address. Required for some countries.
Max length: 200
regionstring | nullrequired
Example: NY
State, county, or region of this address.
Max length: 200
country_codestringrequired
Supported two-letter ISO 3166-1 alpha-2 country code for this address.
Values
  • AD
    Andorra
  • AE
    United Arab Emirates
  • AG
    Antigua and Barbuda
  • AI
    Anguilla
  • AL
    Albania
+ Show all values
  • AM
    Armenia
  • AO
    Angola
  • AR
    Argentina
  • AS
    American Samoa
  • AT
    Austria
  • AU
    Australia
  • AW
    Aruba
  • AX
    Ã…land Islands
  • AZ
    Azerbaijan
  • BA
    Bosnia and Herzegovina
  • BB
    Barbados
  • BD
    Bangladesh
  • BE
    Belgium
  • BF
    Burkina Faso
  • BG
    Bulgaria
  • BH
    Bahrain
  • BI
    Burundi
  • BJ
    Benin
  • BL
    Saint Barthélemy
  • BM
    Bermuda
  • BN
    Brunei
  • BO
    Bolivia
  • BQ
    Caribbean Netherlands (Bonaire, Sint Eustatius, and Saba)
  • BR
    Brazil
  • BS
    Bahamas
  • BT
    Bhutan
  • BV
    Bouvet Island
  • BW
    Botswana
  • BZ
    Belize
  • CA
    Canada
  • CC
    Cocos Islands
  • CG
    Republic of Congo
  • CH
    Switzerland
  • CI
    Côte d'Ivoire (Ivory Coast)
  • CK
    Cook Islands
  • CL
    Chile
  • CM
    Cameroon
  • CN
    China
  • CO
    Colombia
  • CR
    Costa Rica
  • CV
    Cape Verde
  • CW
    Curaçao
  • CX
    Christmas Island
  • CY
    Cyprus
  • CZ
    Czechia (Czech Republic)
  • DE
    Germany
  • DJ
    Djibouti
  • DK
    Denmark
  • DM
    Dominica
  • DO
    Dominican Republic
  • DZ
    Algeria
  • EC
    Ecuador
  • EE
    Estonia
  • EG
    Egypt
  • EH
    Western Sahara
  • ER
    Eritrea
  • ES
    Spain
  • ET
    Ethiopia
  • FI
    Finland
  • FJ
    Fiji
  • FK
    Falkland Islands
  • FM
    Micronesia
  • FO
    Faroe Islands
  • FR
    France
  • GA
    Gabon
  • GB
    United Kingdom
  • GD
    Grenada
  • GE
    Georgia
  • GF
    French Guiana
  • GG
    Guernsey
  • GH
    Ghana
  • GI
    Gibraltar
  • GL
    Greenland
  • GM
    Gambia
  • GN
    Guinea
  • GP
    Guadeloupe
  • GQ
    Equatorial Guinea
  • GR
    Greece
  • GS
    South Georgia and the South Sandwich Islands
  • GT
    Guatemala
  • GU
    Guam
  • GW
    Guinea-Bissau
  • GY
    Guyana
  • HK
    Hong Kong
  • HM
    Heard Island and McDonald Islands
  • HN
    Honduras
  • HR
    Croatia
  • HU
    Hungary
  • ID
    Indonesia
  • IE
    Ireland
  • IL
    Israel
  • IM
    Isle of Man
  • IN
    India
  • IO
    British Indian Ocean Territory
  • IQ
    Iraq
  • IS
    Iceland
  • IT
    Italy
  • JE
    Jersey
  • JM
    Jamaica
  • JO
    Jordan
  • JP
    Japan
  • KE
    Kenya
  • KG
    Kyrgyzstan
  • KH
    Cambodia
  • KI
    Kiribati
  • KM
    Comoros
  • KN
    Saint Kitts and Nevis
  • KR
    South Korea
  • KW
    Kuwait
  • KY
    Cayman Islands
  • KZ
    Kazakhstan
  • LA
    Lao People's Democratic Republic (Laos)
  • LB
    Lebanon
  • LC
    Saint Lucia
  • LI
    Liechtenstein
  • LK
    Sri Lanka
  • LR
    Liberia
  • LS
    Lesotho
  • LT
    Lithuania
  • LU
    Luxembourg
  • LV
    Latvia
  • MA
    Morocco
  • MC
    Monaco
  • MD
    Moldova
  • ME
    Montenegro
  • MF
    Saint Martin
  • MG
    Madagascar
  • MH
    Marshall Islands
  • MK
    Macedonia
  • MN
    Mongolia
  • MO
    Macao
  • MP
    Northern Mariana Islands
  • MQ
    Martinique
  • MR
    Mauritania
  • MS
    Montserrat
  • MT
    Malta
  • MU
    Mauritius
  • MV
    Maldives
  • MW
    Malawi
  • MX
    Mexico
  • MY
    Malaysia
  • MZ
    Mozambique
  • NA
    Namibia
  • NC
    New Caledonia
  • NE
    Niger
  • NF
    Norfolk Island
  • NG
    Nigeria
  • NL
    Netherlands
  • NO
    Norway
  • NP
    Nepal
  • NR
    Nauru
  • NU
    Niue
  • NZ
    New Zealand
  • OM
    Oman
  • PA
    Panama
  • PE
    Peru
  • PF
    French Polynesia
  • PG
    Papua New Guinea
  • PH
    Philippines
  • PK
    Pakistan
  • PL
    Poland
  • PM
    Saint Pierre and Miquelon
  • PN
    Pitcairn
  • PR
    Puerto Rico
  • PS
    Palestinian territories
  • PT
    Portugal
  • PW
    Palau
  • PY
    Paraguay
  • QA
    Qatar
  • RE
    Reunion
  • RO
    Romania
  • RS
    Republic of Serbia
  • RW
    Rwanda
  • SA
    Saudi Arabia
  • SB
    Solomon Islands
  • SC
    Seychelles
  • SE
    Sweden
  • SG
    Singapore
  • SH
    Saint Helena
  • SI
    Slovenia
  • SJ
    Svalbard and Jan Mayen
  • SK
    Slovakia
  • SL
    Sierra Leone
  • SM
    San Marino
  • SN
    Senegal
  • SR
    Suriname
  • ST
    São Tomé and Príncipe
  • SV
    El Salvador
  • SX
    Sint Maarten
  • SZ
    Swaziland
  • TC
    Turks and Caicos Islands
  • TD
    Chad
  • TF
    French Southern and Antarctic Lands
  • TG
    Togo
  • TH
    Thailand
  • TJ
    Tajikistan
  • TK
    Tokelau
  • TL
    Timor-Leste
  • TM
    Turkmenistan
  • TN
    Tunisia
  • TO
    Tonga
  • TR
    Turkey
  • TT
    Trinidad and Tobago
  • TV
    Tuvalu
  • TW
    Taiwan
  • TZ
    Tanzania
  • UA
    Ukraine
  • UG
    Uganda
  • UM
    United States Minor Outlying Islands
  • US
    United States
  • UY
    Uruguay
  • UZ
    Uzbekistan
  • VA
    Holy See (Vatican City)
  • VC
    Saint Vincent and the Grenadines
  • VG
    British Virgin Islands
  • VI
    U.S. Virgin Islands
  • VN
    Vietnam
  • VU
    Vanuatu
  • WF
    Wallis and Futuna
  • WS
    Samoa
  • XK
    Kosovo
  • YT
    Mayotte
  • ZA
    South Africa
  • ZM
    Zambia
custom_dataobject | nullrequired
Example: {"customer_reference_id":"abcd1234"}
Your own structured key-value data.
statusstringrequired
Default: active
Whether this entity can be used in Paddle.
Values
  • active
    Entity is active and can be used.
  • archived
    Entity is archived, so can't be used.
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
import_metaobject | nullrequired
Import information for this entity. null if this entity is not imported.
external_idstring | null
Example: 9b95b0b8-e10f-441a-862e-1936a6d818ab
Reference or identifier for this entity from the provider where it was imported from.
Length: 1–200
imported_fromstringrequired
Example: paddle_classic
Name of the platform or provider where this entity was imported from.
Length: 1–200
businessobject | nullrequired
Business for the subscription when it was created.
idstringrequired
Example: biz_01grrebrzaee2qj2fqqhmcyzaj
Unique Paddle ID for this business entity, prefixed with biz_.
Pattern: ^biz_[a-z\d]{26}$
customer_idstringrequired
Example: ctm_01grnn4zta5a1mf02jjze7y2ys
Paddle ID for the customer related to this business, prefixed with cus_.
Pattern: ^ctm_[a-z\d]{26}$
namestringrequired
Name of this business.
Length: 1–1024
company_numberstring | nullrequired
Example: 123456789
Company number for this business.
Max length: 1024
tax_identifierstring | nullrequired
Example: AB0123456789
Tax or VAT Number for this business.
Max length: 1024
statusstringrequired
Default: active
Whether this entity can be used in Paddle.
Values
  • active
    Entity is active and can be used.
  • archived
    Entity is archived, so can't be used.
contactsarrayrequired
List of contacts related to this business, typically used for sending invoices.
Items: max 100, unique
namestringrequired
Full name of this contact.
Max length: 1024
emailstring (email)required
Example: test@paddle.com
Email address for this contact.
Length: 1–320
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
custom_dataobject | nullrequired
Example: {"customer_reference_id":"abcd1234"}
Your own structured key-value data.
import_metaobject | nullrequired
Import information for this entity. null if this entity is not imported.
external_idstring | null
Example: 9b95b0b8-e10f-441a-862e-1936a6d818ab
Reference or identifier for this entity from the provider where it was imported from.
Length: 1–200
imported_fromstringrequired
Example: paddle_classic
Name of the platform or provider where this entity was imported from.
Length: 1–200
currency_codestring | nullrequired
Supported three-letter ISO 4217 currency code of the subscription when it was created.
Values
  • USD
    United States Dollar
  • EUR
    Euro
  • GBP
    Pound Sterling
  • JPY
    Japanese Yen
  • AUD
    Australian Dollar
+ Show all values
  • CAD
    Canadian Dollar
  • CHF
    Swiss Franc
  • HKD
    Hong Kong Dollar
  • SGD
    Singapore Dollar
  • SEK
    Swedish Krona
  • ARS
    Argentine Peso
  • BRL
    Brazilian Real
  • CLP
    Chilean Peso
  • CNY
    Chinese Yuan
  • COP
    Colombian Peso
  • CZK
    Czech Koruna
  • DKK
    Danish Krone
  • HUF
    Hungarian Forint
  • ILS
    Israeli Shekel
  • INR
    Indian Rupee
  • KRW
    South Korean Won
  • MXN
    Mexican Peso
  • NOK
    Norwegian Krone
  • NZD
    New Zealand Dollar
  • PEN
    Peruvian Sol
  • PLN
    Polish Zloty
  • RUB
    Russian Ruble
  • THB
    Thai Baht
  • TRY
    Turkish Lira
  • TWD
    New Taiwan Dollar
  • UAH
    Ukrainian Hryvnia
  • VND
    Vietnamese Dong
  • ZAR
    South African Rand
current_billing_periodobject | nullrequired
Current billing period of the subscription when it was created.
starts_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this period starts.
ends_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this period ends.
billing_cycleobject | nullrequired
Billing cycle of the subscription when it was created.
intervalstringrequired
Unit of time.
Values
  • day
  • week
  • month
  • year
frequencyintegerrequired
Amount of time.
Min: 1
itemsarray | nullrequired
Items on the subscription when it was created.
priceobjectrequired
Price on the subscription.
idstringrequired
Example: pri_01gsz8z1q1n00f12qt82y31smh
Unique Paddle ID for this price, prefixed with pri_.
Pattern: ^pri_[a-z\d]{26}$
product_idstringrequired
Example: pro_01gsz97mq9pa4fkyy0wqenepkz
Paddle ID for the product that this price is for, prefixed with pro_.
Pattern: ^pro_[a-z\d]{26}$
descriptionstringrequired
Internal description for this price, not shown to customers. Typically notes for your team.
Length: 2–500
typestringrequired
Default: standard
Type of item. Standard items are considered part of your catalog and are shown in the Paddle dashboard.
Values
  • custom
    Non-catalog item. Typically created for a specific transaction or subscription. Not returned when listing or shown in the Paddle dashboard.
  • standard
    Standard item. Can be considered part of your catalog and reused across transactions and subscriptions easily.
namestring | nullrequired
Name of this price, shown to customers at checkout and on invoices. Typically describes how often the related product bills.
Length: 1–150
billing_cycleobject | nullrequired
How often this price should be charged. null if price is non-recurring (one-time).
intervalstringrequired
Unit of time.
Values
  • day
  • week
  • month
  • year
frequencyintegerrequired
Amount of time.
Min: 1
trial_periodobject | nullrequired
Trial period for the product related to this price. The billing cycle begins once the trial period is over. null for no trial period. Requires billing_cycle.
intervalstringrequired
Unit of time.
Values
  • day
  • week
  • month
  • year
frequencyintegerrequired
Amount of time.
Min: 1
requires_payment_methodbooleanrequired
Default: true
Whether this price requires a payment method (true) or not (false) when trialing. If false, customers can sign up for subscription without entering their payment details, often referred to as a "cardless trial."
unit_priceobject | null
Trial price. Customers are billed this amount for the duration of the trial period. Applies to all customers except those in countries with unit_price_overrides. If null, customers are not charged during the trial.
amountstringrequired
Amount in the lowest denomination for the currency, e.g. 10 USD = 1000 (cents). Although represented as a string, this value must be a valid integer.
currency_codestring
Supported three-letter ISO 4217 currency code.
Values
  • USD
    United States Dollar
  • EUR
    Euro
  • GBP
    Pound Sterling
  • JPY
    Japanese Yen
  • AUD
    Australian Dollar
+ Show all values
  • CAD
    Canadian Dollar
  • CHF
    Swiss Franc
  • HKD
    Hong Kong Dollar
  • SGD
    Singapore Dollar
  • SEK
    Swedish Krona
  • ARS
    Argentine Peso
  • BRL
    Brazilian Real
  • CLP
    Chilean Peso
  • CNY
    Chinese Yuan
  • COP
    Colombian Peso
  • CZK
    Czech Koruna
  • DKK
    Danish Krone
  • HUF
    Hungarian Forint
  • ILS
    Israeli Shekel
  • INR
    Indian Rupee
  • KRW
    South Korean Won
  • MXN
    Mexican Peso
  • NOK
    Norwegian Krone
  • NZD
    New Zealand Dollar
  • PEN
    Peruvian Sol
  • PLN
    Polish Zloty
  • RUB
    Russian Ruble
  • THB
    Thai Baht
  • TRY
    Turkish Lira
  • TWD
    New Taiwan Dollar
  • UAH
    Ukrainian Hryvnia
  • VND
    Vietnamese Dong
  • ZAR
    South African Rand
unit_price_overridesarray
List of unit price overrides for trial pricing. Use to override base trial price with a custom trial price and currency for a country or group of countries.
Items: max 250
country_codesarrayrequired
Supported two-letter ISO 3166-1 alpha-2 country code. Customers located in the listed countries are charged the override price.
Items: min 1, unique
string
Two-letter ISO 3166-1 alpha-2 representation of a supported country.
Values
  • AD
    Andorra
  • AE
    United Arab Emirates
  • AG
    Antigua and Barbuda
  • AI
    Anguilla
  • AL
    Albania
+ Show all values
  • AM
    Armenia
  • AO
    Angola
  • AR
    Argentina
  • AS
    American Samoa
  • AT
    Austria
  • AU
    Australia
  • AW
    Aruba
  • AX
    Ã…land Islands
  • AZ
    Azerbaijan
  • BA
    Bosnia and Herzegovina
  • BB
    Barbados
  • BD
    Bangladesh
  • BE
    Belgium
  • BF
    Burkina Faso
  • BG
    Bulgaria
  • BH
    Bahrain
  • BI
    Burundi
  • BJ
    Benin
  • BL
    Saint Barthélemy
  • BM
    Bermuda
  • BN
    Brunei
  • BO
    Bolivia
  • BQ
    Caribbean Netherlands (Bonaire, Sint Eustatius, and Saba)
  • BR
    Brazil
  • BS
    Bahamas
  • BT
    Bhutan
  • BV
    Bouvet Island
  • BW
    Botswana
  • BZ
    Belize
  • CA
    Canada
  • CC
    Cocos Islands
  • CG
    Republic of Congo
  • CH
    Switzerland
  • CI
    Côte d'Ivoire (Ivory Coast)
  • CK
    Cook Islands
  • CL
    Chile
  • CM
    Cameroon
  • CN
    China
  • CO
    Colombia
  • CR
    Costa Rica
  • CV
    Cape Verde
  • CW
    Curaçao
  • CX
    Christmas Island
  • CY
    Cyprus
  • CZ
    Czechia (Czech Republic)
  • DE
    Germany
  • DJ
    Djibouti
  • DK
    Denmark
  • DM
    Dominica
  • DO
    Dominican Republic
  • DZ
    Algeria
  • EC
    Ecuador
  • EE
    Estonia
  • EG
    Egypt
  • EH
    Western Sahara
  • ER
    Eritrea
  • ES
    Spain
  • ET
    Ethiopia
  • FI
    Finland
  • FJ
    Fiji
  • FK
    Falkland Islands
  • FM
    Micronesia
  • FO
    Faroe Islands
  • FR
    France
  • GA
    Gabon
  • GB
    United Kingdom
  • GD
    Grenada
  • GE
    Georgia
  • GF
    French Guiana
  • GG
    Guernsey
  • GH
    Ghana
  • GI
    Gibraltar
  • GL
    Greenland
  • GM
    Gambia
  • GN
    Guinea
  • GP
    Guadeloupe
  • GQ
    Equatorial Guinea
  • GR
    Greece
  • GS
    South Georgia and the South Sandwich Islands
  • GT
    Guatemala
  • GU
    Guam
  • GW
    Guinea-Bissau
  • GY
    Guyana
  • HK
    Hong Kong
  • HM
    Heard Island and McDonald Islands
  • HN
    Honduras
  • HR
    Croatia
  • HU
    Hungary
  • ID
    Indonesia
  • IE
    Ireland
  • IL
    Israel
  • IM
    Isle of Man
  • IN
    India
  • IO
    British Indian Ocean Territory
  • IQ
    Iraq
  • IS
    Iceland
  • IT
    Italy
  • JE
    Jersey
  • JM
    Jamaica
  • JO
    Jordan
  • JP
    Japan
  • KE
    Kenya
  • KG
    Kyrgyzstan
  • KH
    Cambodia
  • KI
    Kiribati
  • KM
    Comoros
  • KN
    Saint Kitts and Nevis
  • KR
    South Korea
  • KW
    Kuwait
  • KY
    Cayman Islands
  • KZ
    Kazakhstan
  • LA
    Lao People's Democratic Republic (Laos)
  • LB
    Lebanon
  • LC
    Saint Lucia
  • LI
    Liechtenstein
  • LK
    Sri Lanka
  • LR
    Liberia
  • LS
    Lesotho
  • LT
    Lithuania
  • LU
    Luxembourg
  • LV
    Latvia
  • MA
    Morocco
  • MC
    Monaco
  • MD
    Moldova
  • ME
    Montenegro
  • MF
    Saint Martin
  • MG
    Madagascar
  • MH
    Marshall Islands
  • MK
    Macedonia
  • MN
    Mongolia
  • MO
    Macao
  • MP
    Northern Mariana Islands
  • MQ
    Martinique
  • MR
    Mauritania
  • MS
    Montserrat
  • MT
    Malta
  • MU
    Mauritius
  • MV
    Maldives
  • MW
    Malawi
  • MX
    Mexico
  • MY
    Malaysia
  • MZ
    Mozambique
  • NA
    Namibia
  • NC
    New Caledonia
  • NE
    Niger
  • NF
    Norfolk Island
  • NG
    Nigeria
  • NL
    Netherlands
  • NO
    Norway
  • NP
    Nepal
  • NR
    Nauru
  • NU
    Niue
  • NZ
    New Zealand
  • OM
    Oman
  • PA
    Panama
  • PE
    Peru
  • PF
    French Polynesia
  • PG
    Papua New Guinea
  • PH
    Philippines
  • PK
    Pakistan
  • PL
    Poland
  • PM
    Saint Pierre and Miquelon
  • PN
    Pitcairn
  • PR
    Puerto Rico
  • PS
    Palestinian territories
  • PT
    Portugal
  • PW
    Palau
  • PY
    Paraguay
  • QA
    Qatar
  • RE
    Reunion
  • RO
    Romania
  • RS
    Republic of Serbia
  • RW
    Rwanda
  • SA
    Saudi Arabia
  • SB
    Solomon Islands
  • SC
    Seychelles
  • SE
    Sweden
  • SG
    Singapore
  • SH
    Saint Helena
  • SI
    Slovenia
  • SJ
    Svalbard and Jan Mayen
  • SK
    Slovakia
  • SL
    Sierra Leone
  • SM
    San Marino
  • SN
    Senegal
  • SR
    Suriname
  • ST
    São Tomé and Príncipe
  • SV
    El Salvador
  • SX
    Sint Maarten
  • SZ
    Swaziland
  • TC
    Turks and Caicos Islands
  • TD
    Chad
  • TF
    French Southern and Antarctic Lands
  • TG
    Togo
  • TH
    Thailand
  • TJ
    Tajikistan
  • TK
    Tokelau
  • TL
    Timor-Leste
  • TM
    Turkmenistan
  • TN
    Tunisia
  • TO
    Tonga
  • TR
    Turkey
  • TT
    Trinidad and Tobago
  • TV
    Tuvalu
  • TW
    Taiwan
  • TZ
    Tanzania
  • UA
    Ukraine
  • UG
    Uganda
  • UM
    United States Minor Outlying Islands
  • US
    United States
  • UY
    Uruguay
  • UZ
    Uzbekistan
  • VA
    Holy See (Vatican City)
  • VC
    Saint Vincent and the Grenadines
  • VG
    British Virgin Islands
  • VI
    U.S. Virgin Islands
  • VN
    Vietnam
  • VU
    Vanuatu
  • WF
    Wallis and Futuna
  • WS
    Samoa
  • XK
    Kosovo
  • YT
    Mayotte
  • ZA
    South Africa
  • ZM
    Zambia
unit_priceobjectrequired
Override price. This price applies to customers located in the countries for this unit price override.
amountstringrequired
Amount in the lowest denomination for the currency, e.g. 10 USD = 1000 (cents). Although represented as a string, this value must be a valid integer.
currency_codestring
Supported three-letter ISO 4217 currency code.
Values
  • USD
    United States Dollar
  • EUR
    Euro
  • GBP
    Pound Sterling
  • JPY
    Japanese Yen
  • AUD
    Australian Dollar
+ Show all values
  • CAD
    Canadian Dollar
  • CHF
    Swiss Franc
  • HKD
    Hong Kong Dollar
  • SGD
    Singapore Dollar
  • SEK
    Swedish Krona
  • ARS
    Argentine Peso
  • BRL
    Brazilian Real
  • CLP
    Chilean Peso
  • CNY
    Chinese Yuan
  • COP
    Colombian Peso
  • CZK
    Czech Koruna
  • DKK
    Danish Krone
  • HUF
    Hungarian Forint
  • ILS
    Israeli Shekel
  • INR
    Indian Rupee
  • KRW
    South Korean Won
  • MXN
    Mexican Peso
  • NOK
    Norwegian Krone
  • NZD
    New Zealand Dollar
  • PEN
    Peruvian Sol
  • PLN
    Polish Zloty
  • RUB
    Russian Ruble
  • THB
    Thai Baht
  • TRY
    Turkish Lira
  • TWD
    New Taiwan Dollar
  • UAH
    Ukrainian Hryvnia
  • VND
    Vietnamese Dong
  • ZAR
    South African Rand
tax_modestringrequired
Default: account_setting
How tax is calculated for this price.
Values
  • account_setting
    Prices use the setting from your account.
  • external
    Prices are exclusive of tax.
  • internal
    Prices are inclusive of tax.
  • location
    Prices are inclusive or exclusive of tax, depending on the country of the transaction.
unit_priceobjectrequired
Base price. This price applies to all customers, except for customers located in countries where you have unit_price_overrides.
amountstringrequired
Amount in the lowest denomination for the currency, e.g. 10 USD = 1000 (cents). Although represented as a string, this value must be a valid integer.
currency_codestringrequired
Supported three-letter ISO 4217 currency code.
Values
  • USD
    United States Dollar
  • EUR
    Euro
  • GBP
    Pound Sterling
  • JPY
    Japanese Yen
  • AUD
    Australian Dollar
+ Show all values
  • CAD
    Canadian Dollar
  • CHF
    Swiss Franc
  • HKD
    Hong Kong Dollar
  • SGD
    Singapore Dollar
  • SEK
    Swedish Krona
  • ARS
    Argentine Peso
  • BRL
    Brazilian Real
  • CLP
    Chilean Peso
  • CNY
    Chinese Yuan
  • COP
    Colombian Peso
  • CZK
    Czech Koruna
  • DKK
    Danish Krone
  • HUF
    Hungarian Forint
  • ILS
    Israeli Shekel
  • INR
    Indian Rupee
  • KRW
    South Korean Won
  • MXN
    Mexican Peso
  • NOK
    Norwegian Krone
  • NZD
    New Zealand Dollar
  • PEN
    Peruvian Sol
  • PLN
    Polish Zloty
  • RUB
    Russian Ruble
  • THB
    Thai Baht
  • TRY
    Turkish Lira
  • TWD
    New Taiwan Dollar
  • UAH
    Ukrainian Hryvnia
  • VND
    Vietnamese Dong
  • ZAR
    South African Rand
unit_price_overridesarrayrequired
List of unit price overrides. Use to override the base price with a custom price and currency for a country or group of countries.
Items: max 250
country_codesarrayrequired
Supported two-letter ISO 3166-1 alpha-2 country code. Customers located in the listed countries are charged the override price.
Items: min 1, unique
string
Two-letter ISO 3166-1 alpha-2 representation of a supported country.
Values
  • AD
    Andorra
  • AE
    United Arab Emirates
  • AG
    Antigua and Barbuda
  • AI
    Anguilla
  • AL
    Albania
+ Show all values
  • AM
    Armenia
  • AO
    Angola
  • AR
    Argentina
  • AS
    American Samoa
  • AT
    Austria
  • AU
    Australia
  • AW
    Aruba
  • AX
    Ã…land Islands
  • AZ
    Azerbaijan
  • BA
    Bosnia and Herzegovina
  • BB
    Barbados
  • BD
    Bangladesh
  • BE
    Belgium
  • BF
    Burkina Faso
  • BG
    Bulgaria
  • BH
    Bahrain
  • BI
    Burundi
  • BJ
    Benin
  • BL
    Saint Barthélemy
  • BM
    Bermuda
  • BN
    Brunei
  • BO
    Bolivia
  • BQ
    Caribbean Netherlands (Bonaire, Sint Eustatius, and Saba)
  • BR
    Brazil
  • BS
    Bahamas
  • BT
    Bhutan
  • BV
    Bouvet Island
  • BW
    Botswana
  • BZ
    Belize
  • CA
    Canada
  • CC
    Cocos Islands
  • CG
    Republic of Congo
  • CH
    Switzerland
  • CI
    Côte d'Ivoire (Ivory Coast)
  • CK
    Cook Islands
  • CL
    Chile
  • CM
    Cameroon
  • CN
    China
  • CO
    Colombia
  • CR
    Costa Rica
  • CV
    Cape Verde
  • CW
    Curaçao
  • CX
    Christmas Island
  • CY
    Cyprus
  • CZ
    Czechia (Czech Republic)
  • DE
    Germany
  • DJ
    Djibouti
  • DK
    Denmark
  • DM
    Dominica
  • DO
    Dominican Republic
  • DZ
    Algeria
  • EC
    Ecuador
  • EE
    Estonia
  • EG
    Egypt
  • EH
    Western Sahara
  • ER
    Eritrea
  • ES
    Spain
  • ET
    Ethiopia
  • FI
    Finland
  • FJ
    Fiji
  • FK
    Falkland Islands
  • FM
    Micronesia
  • FO
    Faroe Islands
  • FR
    France
  • GA
    Gabon
  • GB
    United Kingdom
  • GD
    Grenada
  • GE
    Georgia
  • GF
    French Guiana
  • GG
    Guernsey
  • GH
    Ghana
  • GI
    Gibraltar
  • GL
    Greenland
  • GM
    Gambia
  • GN
    Guinea
  • GP
    Guadeloupe
  • GQ
    Equatorial Guinea
  • GR
    Greece
  • GS
    South Georgia and the South Sandwich Islands
  • GT
    Guatemala
  • GU
    Guam
  • GW
    Guinea-Bissau
  • GY
    Guyana
  • HK
    Hong Kong
  • HM
    Heard Island and McDonald Islands
  • HN
    Honduras
  • HR
    Croatia
  • HU
    Hungary
  • ID
    Indonesia
  • IE
    Ireland
  • IL
    Israel
  • IM
    Isle of Man
  • IN
    India
  • IO
    British Indian Ocean Territory
  • IQ
    Iraq
  • IS
    Iceland
  • IT
    Italy
  • JE
    Jersey
  • JM
    Jamaica
  • JO
    Jordan
  • JP
    Japan
  • KE
    Kenya
  • KG
    Kyrgyzstan
  • KH
    Cambodia
  • KI
    Kiribati
  • KM
    Comoros
  • KN
    Saint Kitts and Nevis
  • KR
    South Korea
  • KW
    Kuwait
  • KY
    Cayman Islands
  • KZ
    Kazakhstan
  • LA
    Lao People's Democratic Republic (Laos)
  • LB
    Lebanon
  • LC
    Saint Lucia
  • LI
    Liechtenstein
  • LK
    Sri Lanka
  • LR
    Liberia
  • LS
    Lesotho
  • LT
    Lithuania
  • LU
    Luxembourg
  • LV
    Latvia
  • MA
    Morocco
  • MC
    Monaco
  • MD
    Moldova
  • ME
    Montenegro
  • MF
    Saint Martin
  • MG
    Madagascar
  • MH
    Marshall Islands
  • MK
    Macedonia
  • MN
    Mongolia
  • MO
    Macao
  • MP
    Northern Mariana Islands
  • MQ
    Martinique
  • MR
    Mauritania
  • MS
    Montserrat
  • MT
    Malta
  • MU
    Mauritius
  • MV
    Maldives
  • MW
    Malawi
  • MX
    Mexico
  • MY
    Malaysia
  • MZ
    Mozambique
  • NA
    Namibia
  • NC
    New Caledonia
  • NE
    Niger
  • NF
    Norfolk Island
  • NG
    Nigeria
  • NL
    Netherlands
  • NO
    Norway
  • NP
    Nepal
  • NR
    Nauru
  • NU
    Niue
  • NZ
    New Zealand
  • OM
    Oman
  • PA
    Panama
  • PE
    Peru
  • PF
    French Polynesia
  • PG
    Papua New Guinea
  • PH
    Philippines
  • PK
    Pakistan
  • PL
    Poland
  • PM
    Saint Pierre and Miquelon
  • PN
    Pitcairn
  • PR
    Puerto Rico
  • PS
    Palestinian territories
  • PT
    Portugal
  • PW
    Palau
  • PY
    Paraguay
  • QA
    Qatar
  • RE
    Reunion
  • RO
    Romania
  • RS
    Republic of Serbia
  • RW
    Rwanda
  • SA
    Saudi Arabia
  • SB
    Solomon Islands
  • SC
    Seychelles
  • SE
    Sweden
  • SG
    Singapore
  • SH
    Saint Helena
  • SI
    Slovenia
  • SJ
    Svalbard and Jan Mayen
  • SK
    Slovakia
  • SL
    Sierra Leone
  • SM
    San Marino
  • SN
    Senegal
  • SR
    Suriname
  • ST
    São Tomé and Príncipe
  • SV
    El Salvador
  • SX
    Sint Maarten
  • SZ
    Swaziland
  • TC
    Turks and Caicos Islands
  • TD
    Chad
  • TF
    French Southern and Antarctic Lands
  • TG
    Togo
  • TH
    Thailand
  • TJ
    Tajikistan
  • TK
    Tokelau
  • TL
    Timor-Leste
  • TM
    Turkmenistan
  • TN
    Tunisia
  • TO
    Tonga
  • TR
    Turkey
  • TT
    Trinidad and Tobago
  • TV
    Tuvalu
  • TW
    Taiwan
  • TZ
    Tanzania
  • UA
    Ukraine
  • UG
    Uganda
  • UM
    United States Minor Outlying Islands
  • US
    United States
  • UY
    Uruguay
  • UZ
    Uzbekistan
  • VA
    Holy See (Vatican City)
  • VC
    Saint Vincent and the Grenadines
  • VG
    British Virgin Islands
  • VI
    U.S. Virgin Islands
  • VN
    Vietnam
  • VU
    Vanuatu
  • WF
    Wallis and Futuna
  • WS
    Samoa
  • XK
    Kosovo
  • YT
    Mayotte
  • ZA
    South Africa
  • ZM
    Zambia
unit_priceobjectrequired
Override price. This price applies to customers located in the countries for this unit price override.
amountstringrequired
Amount in the lowest denomination for the currency, e.g. 10 USD = 1000 (cents). Although represented as a string, this value must be a valid integer.
currency_codestringrequired
Supported three-letter ISO 4217 currency code.
Values
  • USD
    United States Dollar
  • EUR
    Euro
  • GBP
    Pound Sterling
  • JPY
    Japanese Yen
  • AUD
    Australian Dollar
+ Show all values
  • CAD
    Canadian Dollar
  • CHF
    Swiss Franc
  • HKD
    Hong Kong Dollar
  • SGD
    Singapore Dollar
  • SEK
    Swedish Krona
  • ARS
    Argentine Peso
  • BRL
    Brazilian Real
  • CLP
    Chilean Peso
  • CNY
    Chinese Yuan
  • COP
    Colombian Peso
  • CZK
    Czech Koruna
  • DKK
    Danish Krone
  • HUF
    Hungarian Forint
  • ILS
    Israeli Shekel
  • INR
    Indian Rupee
  • KRW
    South Korean Won
  • MXN
    Mexican Peso
  • NOK
    Norwegian Krone
  • NZD
    New Zealand Dollar
  • PEN
    Peruvian Sol
  • PLN
    Polish Zloty
  • RUB
    Russian Ruble
  • THB
    Thai Baht
  • TRY
    Turkish Lira
  • TWD
    New Taiwan Dollar
  • UAH
    Ukrainian Hryvnia
  • VND
    Vietnamese Dong
  • ZAR
    South African Rand
quantityobjectrequired
Example: {"minimum":1,"maximum":100}
Limits on how many times the related product can be purchased at this price. Useful for discount campaigns.
minimumintegerrequired
Default: 1
Example: 1
Minimum quantity of the product related to this price that can be bought. Required if maximum set.
Range: 1–999999999
maximumintegerrequired
Default: 100
Example: 100
Maximum quantity of the product related to this price that can be bought. Required if minimum set. Must be greater than or equal to the minimum value.
Range: 1–999999999
statusstringrequired
Default: active
Whether this entity can be used in Paddle.
Values
  • active
    Entity is active and can be used.
  • archived
    Entity is archived, so can't be used.
custom_dataobject | nullrequired
Example: {"customer_reference_id":"abcd1234"}
Your own structured key-value data.
import_metaobject | nullrequired
Import information for this entity. null if this entity is not imported.
external_idstring | null
Example: 9b95b0b8-e10f-441a-862e-1936a6d818ab
Reference or identifier for this entity from the provider where it was imported from.
Length: 1–200
imported_fromstringrequired
Example: paddle_classic
Name of the platform or provider where this entity was imported from.
Length: 1–200
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
quantityintegerrequired
Quantity of the item on the subscription at the time of the history entry.
custom_dataobject | nullrequired
Example: {"customer_reference_id":"abcd1234"}
Custom data of the subscription when it was created.
discountobject | nullrequired
Discount attached to the subscription when it was created.
discountobjectrequired
Discount on the subscription.
idstringrequired
Example: dsc_01gv5kpg05xp104ek2fmgjwttf
Unique Paddle ID for this discount, prefixed with dsc_.
Pattern: ^dsc_[a-z\d]{26}$
statusstringrequired
Default: active
Whether this entity can be used in Paddle.
Values
  • active
    Entity is active and can be used.
  • archived
    Entity is archived, so can't be used.
descriptionstringrequired
Short description for this discount for your reference. Not shown to customers.
Length: 1–500
enabled_for_checkoutbooleanrequired
Default: true
Whether this discount can be redeemed by customers at checkout (true) or not (false).
codestring | nullrequired
Unique code that customers can use to redeem this discount at checkout. Not case-sensitive.
Length: 1–32
Pattern: ^[a-zA-Z0-9]{1,32}$
typestringrequired
Type of discount. Determines how this discount impacts the checkout or transaction total.
Values
  • flat
    Discounts a checkout or transaction by a flat amount, for example -$100. Requires currency_code.
  • flat_per_seat
    Discounts a checkout or transaction by a flat amount per unit, for example -$100 per user. Requires currency_code.
  • percentage
    Discounts a checkout or transaction by a percentage of the total, for example -10%. Maximum 100%.
modestringrequired
Default: standard
Discount mode. Standard discounts are considered part of your catalog and are shown in the Paddle dashboard.
Values
  • standard
    Standard discount. Can be considered part of your catalog and reused across transactions and subscriptions easily.
  • custom
    Non-catalog discount. Can be created via the API, or by Paddle for checkout recovery discounts. Not returned when listing or shown in the Paddle dashboard.
amountstringrequired
Amount to discount by. For percentage discounts, must be an amount between 0.01 and 100. For flat and flat_per_seat discounts, amount in the lowest denomination for a currency.
currency_codestring | nullrequired
Supported three-letter ISO 4217 currency code. Required where discount type is flat or flat_per_seat.
Values
  • USD
    United States Dollar
  • EUR
    Euro
  • GBP
    Pound Sterling
  • JPY
    Japanese Yen
  • AUD
    Australian Dollar
+ Show all values
  • CAD
    Canadian Dollar
  • CHF
    Swiss Franc
  • HKD
    Hong Kong Dollar
  • SGD
    Singapore Dollar
  • SEK
    Swedish Krona
  • ARS
    Argentine Peso
  • BRL
    Brazilian Real
  • CLP
    Chilean Peso
  • CNY
    Chinese Yuan
  • COP
    Colombian Peso
  • CZK
    Czech Koruna
  • DKK
    Danish Krone
  • HUF
    Hungarian Forint
  • ILS
    Israeli Shekel
  • INR
    Indian Rupee
  • KRW
    South Korean Won
  • MXN
    Mexican Peso
  • NOK
    Norwegian Krone
  • NZD
    New Zealand Dollar
  • PEN
    Peruvian Sol
  • PLN
    Polish Zloty
  • RUB
    Russian Ruble
  • THB
    Thai Baht
  • TRY
    Turkish Lira
  • TWD
    New Taiwan Dollar
  • UAH
    Ukrainian Hryvnia
  • VND
    Vietnamese Dong
  • ZAR
    South African Rand
recurbooleanrequired
Default: false
Whether this discount applies for multiple subscription billing periods (true) or not (false).
maximum_recurring_intervalsinteger | nullrequired

Number of subscription billing periods that this discount recurs for. Requires recur. null if this discount recurs forever.

Subscription renewals, midcycle changes, and one-time charges billed to a subscription aren't considered a redemption. times_used is not incremented in these cases.

Min: 1
usage_limitinteger | nullrequired

Maximum number of times this discount can be redeemed. This is an overall limit for this discount, rather than a per-customer limit. null if this discount can be redeemed an unlimited amount of times.

Paddle counts a usage as a redemption on a checkout, transaction, or the initial application against a subscription. Transactions created for subscription renewals, midcycle changes, and one-time charges aren't considered a redemption.

Min: 1
restrict_toarray | nullrequired
Product or price IDs that this discount is for. When including a product ID, all prices for that product can be discounted. null if this discount applies to all products and prices.
Items: unique
expires_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z

RFC 3339 datetime string of when this discount expires. Discount can no longer be redeemed after this date has elapsed. null if this discount can be redeemed forever.

Expired discounts can't be redeemed against transactions or checkouts, but can be applied when updating subscriptions.

custom_dataobject | nullrequired
Example: {"customer_reference_id":"abcd1234"}
Your own structured key-value data.
times_usedintegerrequired

How many times this discount has been redeemed. Automatically incremented by Paddle.

Paddle counts a usage as a redemption on a checkout, transaction, or subscription. Transactions created for subscription renewals, midcycle changes, and one-time charges aren't considered a redemption.

discount_group_idstring | nullrequired
Example: dsg_01js2gqehzccfkywgx1jk2mtsp
Paddle ID for the discount group related to this discount, prefixed with dsg_. null if not in a discount group.
Pattern: ^dsg_[a-z\d]{26}$
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
import_metaobject | nullrequired
Import information for this entity. null if this entity is not imported.
external_idstring | null
Example: 9b95b0b8-e10f-441a-862e-1936a6d818ab
Reference or identifier for this entity from the provider where it was imported from.
Length: 1–200
imported_fromstringrequired
Example: paddle_classic
Name of the platform or provider where this entity was imported from.
Length: 1–200
typestringrequired
The type of discount.
Values
  • recurring
    Discount applies to multiple billing periods.
  • one-off
    Discount applies to a single billing period.
starts_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when the discount is effective from on the subscription.
ends_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when the discount stops being effective on the subscription. null if the discount does not have an end date.
has_payment_methodboolean | nullrequired
Whether the subscription had a payment method when it was created. null if this couldn't be determined.
Currency updated
Details specific to subscription_currency_updated actions.
actionstringrequired
What happened on the subscription.
Values
  • subscription_currency_updated
    The currency the subscription is billed in was changed.
currency_codestringrequired
Updated three-letter ISO 4217 currency code for the currency on this subscription. This is what the currency was changed to.
Values
  • USD
    United States Dollar
  • EUR
    Euro
  • GBP
    Pound Sterling
  • JPY
    Japanese Yen
  • AUD
    Australian Dollar
+ Show all values
  • CAD
    Canadian Dollar
  • CHF
    Swiss Franc
  • HKD
    Hong Kong Dollar
  • SGD
    Singapore Dollar
  • SEK
    Swedish Krona
  • ARS
    Argentine Peso
  • BRL
    Brazilian Real
  • CLP
    Chilean Peso
  • CNY
    Chinese Yuan
  • COP
    Colombian Peso
  • CZK
    Czech Koruna
  • DKK
    Danish Krone
  • HUF
    Hungarian Forint
  • ILS
    Israeli Shekel
  • INR
    Indian Rupee
  • KRW
    South Korean Won
  • MXN
    Mexican Peso
  • NOK
    Norwegian Krone
  • NZD
    New Zealand Dollar
  • PEN
    Peruvian Sol
  • PLN
    Polish Zloty
  • RUB
    Russian Ruble
  • THB
    Thai Baht
  • TRY
    Turkish Lira
  • TWD
    New Taiwan Dollar
  • UAH
    Ukrainian Hryvnia
  • VND
    Vietnamese Dong
  • ZAR
    South African Rand
Custom data updated
Details specific to subscription_custom_data_updated actions.
actionstringrequired
What happened on the subscription.
Values
  • subscription_custom_data_updated
    The custom data on the subscription was changed.
custom_dataobject | nullrequired
Example: {"customer_reference_id":"abcd1234"}
Updated custom data on the subscription. null if custom data was removed. This is what the custom data was changed to.
Customer updated
Details specific to subscription_customer_updated actions.
actionstringrequired
What happened on the subscription.
Values
  • subscription_customer_updated
    The customer the subscription belongs to was changed.
customerobjectrequired
Updated customer on the subscription. This is what the customer was changed to.
idstringrequired
Example: ctm_01grnn4zta5a1mf02jjze7y2ys
Unique Paddle ID for this customer entity, prefixed with ctm_.
Pattern: ^ctm_[a-z\d]{26}$
namestring | nullrequired
Full name of this customer. Required when creating transactions where collection_mode is manual (invoices).
Max length: 1024
emailstring (email)required
Example: test@paddle.com
Email address for this customer.
Length: 1–320
marketing_consentbooleanrequired
Default: false
Whether this customer opted into marketing from you. false unless customers check the marketing consent box when using Paddle Checkout. Set automatically by Paddle.
statusstringrequired
Default: active
Whether this entity can be used in Paddle.
Values
  • active
    Entity is active and can be used.
  • archived
    Entity is archived, so can't be used.
custom_dataobject | nullrequired
Example: {"customer_reference_id":"abcd1234"}
Your own structured key-value data.
localestringrequired
Default: en
Valid IETF BCP 47 short form locale tag. If omitted, defaults to en.
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
import_metaobject | nullrequired
Import information for this entity. null if this entity is not imported.
external_idstring | null
Example: 9b95b0b8-e10f-441a-862e-1936a6d818ab
Reference or identifier for this entity from the provider where it was imported from.
Length: 1–200
imported_fromstringrequired
Example: paddle_classic
Name of the platform or provider where this entity was imported from.
Length: 1–200
Discount added
Details specific to subscription_discount_added actions.
actionstringrequired
What happened on the subscription.
Values
  • subscription_discount_added
    A discount was added to the subscription.
discountobjectrequired
Discount added to the subscription.
discountobjectrequired
Discount on the subscription.
idstringrequired
Example: dsc_01gv5kpg05xp104ek2fmgjwttf
Unique Paddle ID for this discount, prefixed with dsc_.
Pattern: ^dsc_[a-z\d]{26}$
statusstringrequired
Default: active
Whether this entity can be used in Paddle.
Values
  • active
    Entity is active and can be used.
  • archived
    Entity is archived, so can't be used.
descriptionstringrequired
Short description for this discount for your reference. Not shown to customers.
Length: 1–500
enabled_for_checkoutbooleanrequired
Default: true
Whether this discount can be redeemed by customers at checkout (true) or not (false).
codestring | nullrequired
Unique code that customers can use to redeem this discount at checkout. Not case-sensitive.
Length: 1–32
Pattern: ^[a-zA-Z0-9]{1,32}$
typestringrequired
Type of discount. Determines how this discount impacts the checkout or transaction total.
Values
  • flat
    Discounts a checkout or transaction by a flat amount, for example -$100. Requires currency_code.
  • flat_per_seat
    Discounts a checkout or transaction by a flat amount per unit, for example -$100 per user. Requires currency_code.
  • percentage
    Discounts a checkout or transaction by a percentage of the total, for example -10%. Maximum 100%.
modestringrequired
Default: standard
Discount mode. Standard discounts are considered part of your catalog and are shown in the Paddle dashboard.
Values
  • standard
    Standard discount. Can be considered part of your catalog and reused across transactions and subscriptions easily.
  • custom
    Non-catalog discount. Can be created via the API, or by Paddle for checkout recovery discounts. Not returned when listing or shown in the Paddle dashboard.
amountstringrequired
Amount to discount by. For percentage discounts, must be an amount between 0.01 and 100. For flat and flat_per_seat discounts, amount in the lowest denomination for a currency.
currency_codestring | nullrequired
Supported three-letter ISO 4217 currency code. Required where discount type is flat or flat_per_seat.
Values
  • USD
    United States Dollar
  • EUR
    Euro
  • GBP
    Pound Sterling
  • JPY
    Japanese Yen
  • AUD
    Australian Dollar
+ Show all values
  • CAD
    Canadian Dollar
  • CHF
    Swiss Franc
  • HKD
    Hong Kong Dollar
  • SGD
    Singapore Dollar
  • SEK
    Swedish Krona
  • ARS
    Argentine Peso
  • BRL
    Brazilian Real
  • CLP
    Chilean Peso
  • CNY
    Chinese Yuan
  • COP
    Colombian Peso
  • CZK
    Czech Koruna
  • DKK
    Danish Krone
  • HUF
    Hungarian Forint
  • ILS
    Israeli Shekel
  • INR
    Indian Rupee
  • KRW
    South Korean Won
  • MXN
    Mexican Peso
  • NOK
    Norwegian Krone
  • NZD
    New Zealand Dollar
  • PEN
    Peruvian Sol
  • PLN
    Polish Zloty
  • RUB
    Russian Ruble
  • THB
    Thai Baht
  • TRY
    Turkish Lira
  • TWD
    New Taiwan Dollar
  • UAH
    Ukrainian Hryvnia
  • VND
    Vietnamese Dong
  • ZAR
    South African Rand
recurbooleanrequired
Default: false
Whether this discount applies for multiple subscription billing periods (true) or not (false).
maximum_recurring_intervalsinteger | nullrequired

Number of subscription billing periods that this discount recurs for. Requires recur. null if this discount recurs forever.

Subscription renewals, midcycle changes, and one-time charges billed to a subscription aren't considered a redemption. times_used is not incremented in these cases.

Min: 1
usage_limitinteger | nullrequired

Maximum number of times this discount can be redeemed. This is an overall limit for this discount, rather than a per-customer limit. null if this discount can be redeemed an unlimited amount of times.

Paddle counts a usage as a redemption on a checkout, transaction, or the initial application against a subscription. Transactions created for subscription renewals, midcycle changes, and one-time charges aren't considered a redemption.

Min: 1
restrict_toarray | nullrequired
Product or price IDs that this discount is for. When including a product ID, all prices for that product can be discounted. null if this discount applies to all products and prices.
Items: unique
expires_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z

RFC 3339 datetime string of when this discount expires. Discount can no longer be redeemed after this date has elapsed. null if this discount can be redeemed forever.

Expired discounts can't be redeemed against transactions or checkouts, but can be applied when updating subscriptions.

custom_dataobject | nullrequired
Example: {"customer_reference_id":"abcd1234"}
Your own structured key-value data.
times_usedintegerrequired

How many times this discount has been redeemed. Automatically incremented by Paddle.

Paddle counts a usage as a redemption on a checkout, transaction, or subscription. Transactions created for subscription renewals, midcycle changes, and one-time charges aren't considered a redemption.

discount_group_idstring | nullrequired
Example: dsg_01js2gqehzccfkywgx1jk2mtsp
Paddle ID for the discount group related to this discount, prefixed with dsg_. null if not in a discount group.
Pattern: ^dsg_[a-z\d]{26}$
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
import_metaobject | nullrequired
Import information for this entity. null if this entity is not imported.
external_idstring | null
Example: 9b95b0b8-e10f-441a-862e-1936a6d818ab
Reference or identifier for this entity from the provider where it was imported from.
Length: 1–200
imported_fromstringrequired
Example: paddle_classic
Name of the platform or provider where this entity was imported from.
Length: 1–200
typestringrequired
The type of discount.
Values
  • recurring
    Discount applies to multiple billing periods.
  • one-off
    Discount applies to a single billing period.
starts_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when the discount is effective from on the subscription.
ends_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when the discount stops being effective on the subscription. null if the discount does not have an end date.
Discount expired
Details specific to subscription_discount_expired actions. Recorded when a discount is no longer eligible — for example, when the maximum number of billing periods for the discount has been reached.
actionstringrequired
What happened on the subscription.
Values
  • subscription_discount_expired
    A discount on the subscription reached its end date and expired.
discountobjectrequired
Discount that expired on the subscription. ends_at reflects when the discount stopped being effective on the subscription. This is the discount that was removed.
discountobjectrequired
Discount on the subscription.
idstringrequired
Example: dsc_01gv5kpg05xp104ek2fmgjwttf
Unique Paddle ID for this discount, prefixed with dsc_.
Pattern: ^dsc_[a-z\d]{26}$
statusstringrequired
Default: active
Whether this entity can be used in Paddle.
Values
  • active
    Entity is active and can be used.
  • archived
    Entity is archived, so can't be used.
descriptionstringrequired
Short description for this discount for your reference. Not shown to customers.
Length: 1–500
enabled_for_checkoutbooleanrequired
Default: true
Whether this discount can be redeemed by customers at checkout (true) or not (false).
codestring | nullrequired
Unique code that customers can use to redeem this discount at checkout. Not case-sensitive.
Length: 1–32
Pattern: ^[a-zA-Z0-9]{1,32}$
typestringrequired
Type of discount. Determines how this discount impacts the checkout or transaction total.
Values
  • flat
    Discounts a checkout or transaction by a flat amount, for example -$100. Requires currency_code.
  • flat_per_seat
    Discounts a checkout or transaction by a flat amount per unit, for example -$100 per user. Requires currency_code.
  • percentage
    Discounts a checkout or transaction by a percentage of the total, for example -10%. Maximum 100%.
modestringrequired
Default: standard
Discount mode. Standard discounts are considered part of your catalog and are shown in the Paddle dashboard.
Values
  • standard
    Standard discount. Can be considered part of your catalog and reused across transactions and subscriptions easily.
  • custom
    Non-catalog discount. Can be created via the API, or by Paddle for checkout recovery discounts. Not returned when listing or shown in the Paddle dashboard.
amountstringrequired
Amount to discount by. For percentage discounts, must be an amount between 0.01 and 100. For flat and flat_per_seat discounts, amount in the lowest denomination for a currency.
currency_codestring | nullrequired
Supported three-letter ISO 4217 currency code. Required where discount type is flat or flat_per_seat.
Values
  • USD
    United States Dollar
  • EUR
    Euro
  • GBP
    Pound Sterling
  • JPY
    Japanese Yen
  • AUD
    Australian Dollar
+ Show all values
  • CAD
    Canadian Dollar
  • CHF
    Swiss Franc
  • HKD
    Hong Kong Dollar
  • SGD
    Singapore Dollar
  • SEK
    Swedish Krona
  • ARS
    Argentine Peso
  • BRL
    Brazilian Real
  • CLP
    Chilean Peso
  • CNY
    Chinese Yuan
  • COP
    Colombian Peso
  • CZK
    Czech Koruna
  • DKK
    Danish Krone
  • HUF
    Hungarian Forint
  • ILS
    Israeli Shekel
  • INR
    Indian Rupee
  • KRW
    South Korean Won
  • MXN
    Mexican Peso
  • NOK
    Norwegian Krone
  • NZD
    New Zealand Dollar
  • PEN
    Peruvian Sol
  • PLN
    Polish Zloty
  • RUB
    Russian Ruble
  • THB
    Thai Baht
  • TRY
    Turkish Lira
  • TWD
    New Taiwan Dollar
  • UAH
    Ukrainian Hryvnia
  • VND
    Vietnamese Dong
  • ZAR
    South African Rand
recurbooleanrequired
Default: false
Whether this discount applies for multiple subscription billing periods (true) or not (false).
maximum_recurring_intervalsinteger | nullrequired

Number of subscription billing periods that this discount recurs for. Requires recur. null if this discount recurs forever.

Subscription renewals, midcycle changes, and one-time charges billed to a subscription aren't considered a redemption. times_used is not incremented in these cases.

Min: 1
usage_limitinteger | nullrequired

Maximum number of times this discount can be redeemed. This is an overall limit for this discount, rather than a per-customer limit. null if this discount can be redeemed an unlimited amount of times.

Paddle counts a usage as a redemption on a checkout, transaction, or the initial application against a subscription. Transactions created for subscription renewals, midcycle changes, and one-time charges aren't considered a redemption.

Min: 1
restrict_toarray | nullrequired
Product or price IDs that this discount is for. When including a product ID, all prices for that product can be discounted. null if this discount applies to all products and prices.
Items: unique
expires_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z

RFC 3339 datetime string of when this discount expires. Discount can no longer be redeemed after this date has elapsed. null if this discount can be redeemed forever.

Expired discounts can't be redeemed against transactions or checkouts, but can be applied when updating subscriptions.

custom_dataobject | nullrequired
Example: {"customer_reference_id":"abcd1234"}
Your own structured key-value data.
times_usedintegerrequired

How many times this discount has been redeemed. Automatically incremented by Paddle.

Paddle counts a usage as a redemption on a checkout, transaction, or subscription. Transactions created for subscription renewals, midcycle changes, and one-time charges aren't considered a redemption.

discount_group_idstring | nullrequired
Example: dsg_01js2gqehzccfkywgx1jk2mtsp
Paddle ID for the discount group related to this discount, prefixed with dsg_. null if not in a discount group.
Pattern: ^dsg_[a-z\d]{26}$
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
import_metaobject | nullrequired
Import information for this entity. null if this entity is not imported.
external_idstring | null
Example: 9b95b0b8-e10f-441a-862e-1936a6d818ab
Reference or identifier for this entity from the provider where it was imported from.
Length: 1–200
imported_fromstringrequired
Example: paddle_classic
Name of the platform or provider where this entity was imported from.
Length: 1–200
typestringrequired
The type of discount.
Values
  • recurring
    Discount applies to multiple billing periods.
  • one-off
    Discount applies to a single billing period.
starts_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when the discount is effective from on the subscription.
ends_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when the discount stops being effective on the subscription. null if the discount does not have an end date.
Discount removed
Details specific to subscription_discount_removed actions.
actionstringrequired
What happened on the subscription.
Values
  • subscription_discount_removed
    A discount was removed from the subscription.
discountobjectrequired
Discount removed from the subscription.
discountobjectrequired
Discount on the subscription.
idstringrequired
Example: dsc_01gv5kpg05xp104ek2fmgjwttf
Unique Paddle ID for this discount, prefixed with dsc_.
Pattern: ^dsc_[a-z\d]{26}$
statusstringrequired
Default: active
Whether this entity can be used in Paddle.
Values
  • active
    Entity is active and can be used.
  • archived
    Entity is archived, so can't be used.
descriptionstringrequired
Short description for this discount for your reference. Not shown to customers.
Length: 1–500
enabled_for_checkoutbooleanrequired
Default: true
Whether this discount can be redeemed by customers at checkout (true) or not (false).
codestring | nullrequired
Unique code that customers can use to redeem this discount at checkout. Not case-sensitive.
Length: 1–32
Pattern: ^[a-zA-Z0-9]{1,32}$
typestringrequired
Type of discount. Determines how this discount impacts the checkout or transaction total.
Values
  • flat
    Discounts a checkout or transaction by a flat amount, for example -$100. Requires currency_code.
  • flat_per_seat
[...]
